/*
 * Project: irond
 * Package: src.de.fhhannover.inform.ifmap.control
 * File:    Config.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.ifmap.control;

/**
 * Configuration for ifmapj examples. Default values assume that the keystore
 * is located in the created runnable jar file and that irond is running in its
 * default configuration on localhost.
 * 
 * @author ibente
 *
 */
public class Config {
	
	public static String KEY_STORE_PATH = "C:\\Users\\Tobias\\workspace\\IRONGUI_021\\keystore\\irongui.jks";
	public static String KEY_STORE_PASSWORD = "visual";
	public static String TRUST_STORE_PATH = "C:\\Users\\Tobias\\workspace\\IRONGUI_021\\keystore\\irongui.jks";
	public static String TRUST_STORE_PASSWORD = "visual";
	public static String BASIC_AUTH_SERVER_URL = "https://localhost:8443";
	public static String CERT_AUTH_SERVER_URL = "https://localhost:8444";
	public static String BASIC_AUTH_USER = "visual";
	public static String BASIC_AUTH_PASSWORD = "visual";
	
	private Config() { };
}
